<?php

declare(strict_types=1);

namespace App\Filament\Resources\Settings\Schemas;

use App\Models\Setting;
use Filament\Schemas\Components\Section;
use Filament\Schemas\Schema;

class SettingForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Section::make('تنظیمات')
                ->schema([
                    \App\Filament\Components\Form\KeyTextInput::create()->columnSpan(6),
                    \App\Filament\Components\Form\TypeSelect::create(Setting::class)->columnSpan(6),
                    \App\Filament\Components\Form\ValueTextInput::create()->columnSpan(12),
                    \App\Filament\Components\Form\IsPublicToggle::create()->required()->columnSpan(12),
                ])
                ->columns(12)
                ->columnSpan(12),
        ])
            ->columns(12);
    }
}
